Page MenuHomeFreeBSD

devel/boehm-gc: update to 7.6.8 * Bump PORTREVISION for dependent ports.
ClosedPublic

Authored by fernape on Aug 13 2018, 8:47 PM.

Details

Summary

Via PR 230577

Submitter requests maintainership

Test Plan
  • portlint -AC OK
  • poudriere builds for {10.4,11.1}{amd64,i386}, 11.2amd64, 12i386 OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

fernape created this revision.Aug 13 2018, 8:47 PM

Is this snippet valid?

.if ${PORT_OPTIONS:MDEBUG}
CONFIGURE_ARGS+=--enable-gc-debug
PKGNAMESUFFIX:= ${PKGNAMESUFFIX}+fulldebug
.endif

According to the handbook a port must not change its name when its option set changes.

I don't think the version bumps are required -- or did the so-ver change?

mat added a comment.Aug 15 2018, 9:19 AM

Is this snippet valid?

.if ${PORT_OPTIONS:MDEBUG}
CONFIGURE_ARGS+=--enable-gc-debug
PKGNAMESUFFIX:= ${PKGNAMESUFFIX}+fulldebug
.endif

According to the handbook a port must not change its name when its option set changes.

It is valid, but it is wrong, it should not change its PKGNAMESUFFIX.

I don't think the version bumps are required -- or did the so-ver change?

They changed. From 1.3.0 -> 1.3.1, 1.3.1 -> 1.32, 1.3.3 -> 1.3.4

fernape updated this revision to Diff 46721.Aug 15 2018, 5:08 PM

Remove change of PKGNAMESUFFIX

Also simplify option handling.

Updating D16704: devel/boehm-gc: update to 7.6.8

  • Bump PORTREVISION for dependent ports.
fernape updated this revision to Diff 46722.Aug 15 2018, 5:22 PM

Adding depending ports to the review.

tcberner added inline comments.Aug 23 2018, 6:20 PM
devel/boehm-gc/Makefile
69 ↗(On Diff #46722)

^ is that still required?

fernape updated this revision to Diff 47246.Aug 24 2018, 5:23 PM

Removing unnecessary include from Makefile

Updating D16704: devel/boehm-gc: update to 7.6.8

  • Bump PORTREVISION for dependent ports.
fernape marked an inline comment as done.Aug 24 2018, 5:24 PM
fernape added inline comments.
devel/boehm-gc/Makefile
69 ↗(On Diff #46722)

It seems it's not.

tcberner accepted this revision.Aug 31 2018, 11:06 AM

Looks good to me.

devel/boehm-gc/Makefile
56 ↗(On Diff #47246)

while you're here, you could add "\t" after all the "=" where there are none.

This revision is now accepted and ready to land.Aug 31 2018, 11:06 AM
Closed by commit rP478604: devel/boehm-gc: update to 7.6.8 (authored by svnmir, committed by ). · Explain WhyAug 31 2018, 6:27 PM
This revision was automatically updated to reflect the committed changes.